=== debian/changelog ===
prison-kf5 (5.116.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove the libzxing-dev B-D as prison-kf5 is not compatible with
    ZXing 3 (Closes: #1128627).

 -- Patrick Franz <deltaone@debian.org>  Sun, 22 Feb 2026 00:40:30 +0100

prison-kf5 (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:31:25 +0200
