=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.96.0~),
               libdmtx-dev,
               libqrencode-dev,
               libqt5sql5-sqlite,
               libzxing-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kdesupport/prison
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/prison.git
Vcs-Browser: https://invent.kde.org/neon/kde/prison
Maintainer: Neon CI <neon@kde.org>

Package: libkf5prison-dev
Section: libdevel
Architecture: any
Depends: libkf5prison5 (= ${binary:Version}),
         libkf5prisonscanner5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends}
Recommends: libkf5prison-doc (= ${source:Version})
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5prison-dev (<< 5.96.0-1neon)
Replaces: libkf5prison-dev (<< 5.96.0-1neon)
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5prison5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: libkf5prisonscanner5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library for scanning.

Package: qml-module-org-kde-prison
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the QML module
